<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DistroInfos: console/console.c File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
<link href="doxygen-awesome.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">DistroInfos
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('console_8c.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#define-members">Macros</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">console.c File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &quot;<a class="el" href="console_8h_source.html">include/console.h</a>&quot;</code><br />
</div><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:a3249c00cb3a3a31b431011b37e30fbae"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="console_8c.html#a3249c00cb3a3a31b431011b37e30fbae">CONSOLE_IMPORT</a></td></tr>
<tr class="separator:a3249c00cb3a3a31b431011b37e30fbae"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a3e82e53eb3ea53316dd60472dbad592f"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="console_8c.html#a3e82e53eb3ea53316dd60472dbad592f">printError</a> (char *message)</td></tr>
<tr class="memdesc:a3e82e53eb3ea53316dd60472dbad592f"><td class="mdescLeft">&#160;</td><td class="mdescRight">@ a string printError with a param message RED color  <a href="console_8c.html#a3e82e53eb3ea53316dd60472dbad592f">More...</a><br /></td></tr>
<tr class="separator:a3e82e53eb3ea53316dd60472dbad592f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af359c31e0411e29dd6000026bed6e39b"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="console_8c.html#af359c31e0411e29dd6000026bed6e39b">printSuccess</a> (char *message)</td></tr>
<tr class="memdesc:af359c31e0411e29dd6000026bed6e39b"><td class="mdescLeft">&#160;</td><td class="mdescRight">print a string Success with a GREEN color  <a href="console_8c.html#af359c31e0411e29dd6000026bed6e39b">More...</a><br /></td></tr>
<tr class="separator:af359c31e0411e29dd6000026bed6e39b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a471517fcd9ad278e1e5c420ae297b395"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="console_8c.html#a471517fcd9ad278e1e5c420ae297b395">printWarning</a> (char *message)</td></tr>
<tr class="memdesc:a471517fcd9ad278e1e5c420ae297b395"><td class="mdescLeft">&#160;</td><td class="mdescRight">print a string Warning with a YELLOW color  <a href="console_8c.html#a471517fcd9ad278e1e5c420ae297b395">More...</a><br /></td></tr>
<tr class="separator:a471517fcd9ad278e1e5c420ae297b395"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaabcb41b6d0242f68f7bd1aef62f4209"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="console_8c.html#aaabcb41b6d0242f68f7bd1aef62f4209">printPrimary</a> (char *message)</td></tr>
<tr class="memdesc:aaabcb41b6d0242f68f7bd1aef62f4209"><td class="mdescLeft">&#160;</td><td class="mdescRight">print a string Primary with a CYAN color  <a href="console_8c.html#aaabcb41b6d0242f68f7bd1aef62f4209">More...</a><br /></td></tr>
<tr class="separator:aaabcb41b6d0242f68f7bd1aef62f4209"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7b91af5d6c3334e7cfe9ad2efd8d87bd"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="console_8c.html#a7b91af5d6c3334e7cfe9ad2efd8d87bd">printStrong</a> (char *message)</td></tr>
<tr class="memdesc:a7b91af5d6c3334e7cfe9ad2efd8d87bd"><td class="mdescLeft">&#160;</td><td class="mdescRight">print a string Strong with a BLUE color  <a href="console_8c.html#a7b91af5d6c3334e7cfe9ad2efd8d87bd">More...</a><br /></td></tr>
<tr class="separator:a7b91af5d6c3334e7cfe9ad2efd8d87bd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa577b8543d1626d8e7a4f10f527f9f30"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="console_8c.html#aa577b8543d1626d8e7a4f10f527f9f30">printInfo</a> (char *message)</td></tr>
<tr class="memdesc:aa577b8543d1626d8e7a4f10f527f9f30"><td class="mdescLeft">&#160;</td><td class="mdescRight">print a string Info with a MAGENTA color  <a href="console_8c.html#aa577b8543d1626d8e7a4f10f527f9f30">More...</a><br /></td></tr>
<tr class="separator:aa577b8543d1626d8e7a4f10f527f9f30"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Macro Definition Documentation</h2>
<a id="a3249c00cb3a3a31b431011b37e30fbae"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3249c00cb3a3a31b431011b37e30fbae">&#9670;&nbsp;</a></span>CONSOLE_IMPORT</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define CONSOLE_IMPORT</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Function Documentation</h2>
<a id="a3e82e53eb3ea53316dd60472dbad592f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3e82e53eb3ea53316dd60472dbad592f">&#9670;&nbsp;</a></span>printError()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void printError </td>
          <td>(</td>
          <td class="paramtype">char *&#160;</td>
          <td class="paramname"><em>message</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>@ a string printError with a param message RED color </p>
<p>print @params char *message </p><dl class="section return"><dt>Returns</dt><dd>void </dd></dl>

</div>
</div>
<a id="aa577b8543d1626d8e7a4f10f527f9f30"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa577b8543d1626d8e7a4f10f527f9f30">&#9670;&nbsp;</a></span>printInfo()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void printInfo </td>
          <td>(</td>
          <td class="paramtype">char *&#160;</td>
          <td class="paramname"><em>message</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>print a string Info with a MAGENTA color </p>
<p>@params char *message </p><dl class="section return"><dt>Returns</dt><dd>void </dd></dl>

</div>
</div>
<a id="aaabcb41b6d0242f68f7bd1aef62f4209"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aaabcb41b6d0242f68f7bd1aef62f4209">&#9670;&nbsp;</a></span>printPrimary()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void printPrimary </td>
          <td>(</td>
          <td class="paramtype">char *&#160;</td>
          <td class="paramname"><em>message</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>print a string Primary with a CYAN color </p>
<p>@params char *message </p><dl class="section return"><dt>Returns</dt><dd>void </dd></dl>

</div>
</div>
<a id="a7b91af5d6c3334e7cfe9ad2efd8d87bd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7b91af5d6c3334e7cfe9ad2efd8d87bd">&#9670;&nbsp;</a></span>printStrong()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void printStrong </td>
          <td>(</td>
          <td class="paramtype">char *&#160;</td>
          <td class="paramname"><em>message</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>print a string Strong with a BLUE color </p>
<p>@params char *message </p><dl class="section return"><dt>Returns</dt><dd>void </dd></dl>

</div>
</div>
<a id="af359c31e0411e29dd6000026bed6e39b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af359c31e0411e29dd6000026bed6e39b">&#9670;&nbsp;</a></span>printSuccess()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void printSuccess </td>
          <td>(</td>
          <td class="paramtype">char *&#160;</td>
          <td class="paramname"><em>message</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>print a string Success with a GREEN color </p>
<p>@params char *message </p><dl class="section return"><dt>Returns</dt><dd>void </dd></dl>

</div>
</div>
<a id="a471517fcd9ad278e1e5c420ae297b395"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a471517fcd9ad278e1e5c420ae297b395">&#9670;&nbsp;</a></span>printWarning()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void printWarning </td>
          <td>(</td>
          <td class="paramtype">char *&#160;</td>
          <td class="paramname"><em>message</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>print a string Warning with a YELLOW color </p>
<p>@params char *message </p><dl class="section return"><dt>Returns</dt><dd>void </dd></dl>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_9f97b40203d0b7782e2ba57c500dd0f3.html">console</a></li><li class="navelem"><a class="el" href="console_8c.html">console.c</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.17 </li>
  </ul>
</div>
</body>
</html>
